import { t as e } from "./rolldown-runtime-BEcgMyyN.js";
//#region node_modules/deep-copy/index.js
var t = /* @__PURE__ */ e(((e, t) => {
	(function(n, r, i) {
		typeof e == "object" ? t.exports = i() : typeof define == "function" && define.amd ? define(i) : r[n] = i();
	})("dcopy", e, function() {
		return function(t) {
			if (/number|string|boolean/.test(typeof t)) return t;
			if (t instanceof Date) return new Date(t.getTime());
			var n = t instanceof Array ? [] : {};
			return r(t, n), n;
			function r(t, n) {
				for (var i in t) {
					var a = t[i];
					if (a instanceof Date) {
						var o = new Date(a.getTime());
						e(n, i, o);
					} else if (a instanceof Function) {
						var o = a;
						e(n, i, o);
					} else if (a instanceof Array) {
						var o = [], s = e(n, i, o);
						r(a, s);
					} else if (a instanceof Object) {
						var o = {}, s = e(n, i, o);
						r(a, s);
					} else {
						var o = a;
						e(n, i, o);
					}
				}
			}
		};
		function e(e, t, n) {
			if (e instanceof Array) return e.push(n), e[e.length - 1];
			if (e instanceof Object) return e[t] = n, e[t];
		}
	});
}));
//#endregion
export { t };
